%define	version	1.50.0
%define	release %mkrel 1

Name:		crossfire-client
Version:	%{version}
Release:	%{release}
Summary:	Client for connecting to crossfire game servers
Group:		Games/Adventure
License:	GPLv2+
URL:		http://crossfire.real-time.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source3:	%{name}-icon-small.png
Source4:	%{name}-icon-medium.png
Source5:	%{name}-icon-large.png
Patch0:		%{name}-1.50.0-fix-str-fmt.patch
BuildRequires:	gtk2-devel
BuildRequires:	libglade2-devel
BuildRequires:	SDL_image-devel
BuildRequires:	libmesaglut-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	curl-devel
BuildRequires:	lua-devel
Requires:	%{name}-data >= 1.50.0

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

This package contains client for playing the new client/server based version
of Crossfire. It allows you to connect to crossfire servers around the world.
You do not need to install the crossfire server in order to play crossfire.

%prep
%setup -q
%patch0 -p0

bzip2 -c ChangeLog > ChangeLog.bz2

%build
# If data file path is changed, crossfire-client-data spec file
# needs to be adjusted as well.
%configure2_5x \
	--with-sound-dir=%{_gamesdatadir}/%{name}/sounds \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# icons
mkdir -p %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -m 0644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png
install -m 0644 %{SOURCE4} %{buildroot}%{_iconsdir}/%{name}.png
install -m 0644 %{SOURCE5} %{buildroot}%{_liconsdir}/%{name}.png

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Crossfire Client
Comment=%{summary}
Exec=crossfire-client-gtk2 -cache -download_all_faces -fasttcpsend -nosplash -fog -opengl -showicon
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Game;AdventureGame;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog.bz2 NOTES README TODO
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/man6/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Dec 03 2010 Jani Välimaa <wally@mandriva.org> 1.50.0-1mdv2011.0
+ Revision: 607586
- new version 1.50.0
- redo str fmt patch
- add missing BR
- fix sounds dir
- clean .spec a bit

* Fri Jan 01 2010 Emmanuel Andry <eandry@mandriva.org> 1.12.0-1mdv2010.1
+ Revision: 484780
- New version 1.12.0
- BR lua-devel
- enable alsa support
- diff p0 to fix string format not literal

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.11.0-3mdv2009.0
+ Revision: 243729
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 1.11.0-1mdv2008.1
+ Revision: 174487
- BR curl-devel
- New version
- update BR

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 1.10.0-2mdv2008.0
+ Revision: 78326
- fix requires

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 1.10.0-1mdv2008.0
+ Revision: 78299
- New version
- drop old menu
- drop P0 (applied upstream)

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sat Jan 06 2007 Emmanuel Andry <eandry@mandriva.org> 1.9.1-3mdv2007.0
+ Revision: 104809
- fix requires
  bunzip2 patch
- Import crossfire-client

* Mon Aug 07 2006 Emmanuel Andry <eandry@mandriva.org> 1.9.1-2mdv2007.0
- xdg menu

* Sat Jul 08 2006 Emmanuel Andry <eandry@mandriva.org> 1.9.1-1mdv2007.0
- New version
- fix buildrequires
- drop gtk1.2

* Mon May 15 2006 Emmanuel Andry <eandry@mandriva.org> 1.9.0-1mdk
- New version
- mkrel

* Tue Aug 16 2005 Abel Cheung <deaddog@mandriva.org> 1.8.0-1mdk
- New version
- Use GTK 2.x version client in menu
- Patch0: fix glut detection

* Wed Jun 08 2005 Abel Cheung <deaddog@mandriva.org> 1.7.1-1mdk
- New version
- Drop patch (upstream)
- Use ALSA
- Patch0: Fix gcc 4.0 compilation

* Mon Jun 07 2004 Abel Cheung <deaddog@deaddog.org> 1.7.0-2mdk
- Fix build on bigendian machines (SF patch #945090)

* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 1.7.0-1mdk
- New version
- Data files moved to another package
- Combine everything else back into one package, the split caused
  too much trouble, and the library dependency isn't too problematic
- Move files to games related paths

